%define upstream_name    App-Notifier-Client
%define upstream_version 0.0300

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Implements the notifier command-line
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is used to invoke a notification at a remote the
App::Notifier::Service manpage . It provides one class method - notify() .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/notifier
/usr/share/man/man1/notifier.1.xz

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.30.0-2.mga6
+ Revision: 1022547
- Rebuild for perl 5.22.2

* Fri Apr 08 2016 shlomif <shlomif> 0.30.0-1.mga6
+ Revision: 999513
- update to 0.0300

* Thu Feb 18 2016 umeabot <umeabot> 0.20.400-2.mga6
+ Revision: 966218
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.20.400-1.mga6
+ Revision: 843058
- update to 0.0204

* Wed Oct 15 2014 umeabot <umeabot> 0.20.300-3.mga5
+ Revision: 741478
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.300-2.mga5
+ Revision: 683518
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.20.300-1.mga5
+ Revision: 581697
- imported package perl-App-Notifier-Client


* Tue Feb 04 2014 cpan2dist 0.0203-1mga
- initial mageia release, generated with cpan2dist
